curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/postal_mail/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/postal_mail/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.
Gibt die Eingabe zum Lesen eines Batches von CRM-Objekten an, einschließlich Arrays von Objekt-IDs, angeforderten Eigenschaftsnamen (mit optionalem Verlauf) und einer optionalen eindeutigen identifizierenden Eigenschaft.
successful operation
Ein öffentliches Objekt-Batch-Antwortobjekt
Der Zeitstempel, wann die Batch-Verarbeitung abgeschlossen war (Format ISO 8601).
Show child attributes
Der Zeitstempel, wann die Batch-Verarbeitung gestartet wurde (Format ISO 8601).
Der Status der Batch-Verarbeitungsanfrage: „PENDING“, „PROCESSING“, „CANCELED“ oder „COMPLETE“.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.
Show child attributes
Die Gesamtanzahl der während des Batch-Vorgangs aufgetretenen Fehler.
Der Zeitstempel, wann die Batch-Anfrage ursprünglich gestellt wurde (Format ISO 8601).